diff --git a/changelog b/changelog
index f8d4a16..bae62de 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100712 tpd src/axiom-website/patches.html 20100712.02.tpd.patch
+20100712 tpd src/input/Makefile add derivefail.input
+20100712 tpd src/input/derivefail.input failing integrals from derive 6.10
 20100712 tpd src/axiom-website/patches.html 20100712.01.tpd.patch
 20100712 tpd src/axiom-website/index.html fix CATS href in sidebar
 20100711 tpd src/axiom-website/patches.html 20100711.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d228b70..1a47357 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2990,5 +2990,7 @@ src/share/algebra/*.daase update databases<br/>
 books/bookvol4 document the Makefile build process<br/>
 <a href="patches/20100712.01.tpd.patch">20100712.01.tpd.patch</a>
 src/axiom-website/index.html fix CATS href in sidebar<br/>
+<a href="patches/20100712.02.tpd.patch">20100712.02.tpd.patch</a>
+src/input/derivefail.input failing integrals from derive 6.10<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 982f6e6..0ebba87 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -301,8 +301,9 @@ REGRESSTESTS= ackermann.regress \
     cycles1.regress   cycles.regress   cyfactor.regress \
     danzwill.regress  danzwill2.regress  davenport.regress \
     decimal.regress   defintef.regress defintrf.regress \
-    derham.regress    dfloat.regress   dftrig.regress \
-    dhmatrix.regress \
+    derham.regress    derivefail.regress \
+    dfloat.regress    dftrig.regress \
+    dhmatrix.regress  \
     dhtri.regress     directproduct.regress distexpr.regress \
     divisor.regress   donsimple.regress \
     dmp.regress       dop.regress      dpol.regress     \
@@ -646,7 +647,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/danzwill.input ${OUT}/danzwill2.input  ${OUT}/davenport.input \
        ${OUT}/decimal.input    ${OUT}/defs.input \
        ${OUT}/defintef.input ${OUT}/defintrf.input   ${OUT}/derham.input \
-       ${OUT}/de2re.input \
+       ${OUT}/derivefail.input ${OUT}/de2re.input \
        ${OUT}/dfloat.input   ${OUT}/dftrig.input     ${OUT}/dhmatrix.input \
        ${OUT}/dhtri.input    ${OUT}/directproduct.input \
        ${OUT}/distexpr.input ${OUT}/divisor.input ${OUT}/donsimple.input \
@@ -945,6 +946,7 @@ DOCFILES= \
   ${DOC}/de2re.input.dvi       ${DOC}/decimal.input.dvi    \
   ${DOC}/defintef.input.dvi    ${DOC}/defintrf.input.dvi   \
   ${DOC}/defs.input.dvi        ${DOC}/derham.input.dvi     \
+  ${DOC}/derivefail.input.dvi  \
   ${DOC}/dfloat.input.dvi      ${DOC}/dftrig.input.dvi     \
   ${DOC}/dhmatrix.input.dvi    ${DOC}/dhtri.input.dvi      \
   ${DOC}/directproduct.input.dvi ${DOC}/distexpr.input.dvi \
diff --git a/src/input/derivefail.input.pamphlet b/src/input/derivefail.input.pamphlet
new file mode 100644
index 0000000..51fd63a
--- /dev/null
+++ b/src/input/derivefail.input.pamphlet
@@ -0,0 +1,293 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input derivefail.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+These integrals are failures of Derive 6.10 as listed in 
+sci.math.symbolic. Derive used rule-based integration.
+
+Axiom currently has an integration bug involving integrals which
+contain sqrt(x) and sqrt(x+1) in the same expression. Integrals
+of this form will loop forever. When this is fixed we can uncomment
+the remaining integrals.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)spool derivefail.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 18
+t1:=1/(sqrt(x^2+1)+2*x)^2
+--R 
+--R
+--R                  1
+--R   (1)  ---------------------
+--R           +------+
+--R           | 2          2
+--R        4x\|x  + 1  + 5x  + 1
+--R                                                     Type: Expression Integer
+--E 1
+
+--S 2 of 18
+integrate(t1,x)
+--R 
+--R
+--R   (2)
+--R                     +------+
+--R             3       | 2          4    2
+--R         ((6x  - 2x)\|x  + 1  - 6x  - x  + 1)
+--R      *
+--R         log
+--R                                              +------+
+--R                    3        +-+      2       | 2             4      2      +-+
+--R                ((6x  + 14x)\|3  - 24x  - 12)\|x  + 1  + (- 6x  - 17x  - 7)\|3
+--R              + 
+--R                   3
+--R                24x  + 24x
+--R           /
+--R                         +------+
+--R                 3       | 2          4    2
+--R              (6x  - 2x)\|x  + 1  - 6x  - x  + 1
+--R     + 
+--R                         2      +-+                           +------+
+--R           3          (3x  + 1)\|3  - 6x          2      +-+  | 2
+--R       ((6x  - 2x)log(------------------) + (- 24x  - 4)\|3 )\|x  + 1
+--R                              2
+--R                            3x  - 1
+--R     + 
+--R                              2      +-+
+--R            4    2         (3x  + 1)\|3  - 6x        3        +-+
+--R       (- 6x  - x  + 1)log(------------------) + (24x  + 16x)\|3
+--R                                   2
+--R                                 3x  - 1
+--R  /
+--R                      +------+
+--R         3        +-+ | 2              4     2      +-+
+--R     (36x  - 12x)\|3 \|x  + 1  + (- 36x  - 6x  + 6)\|3
+--R                                          Type: Union(Expression Integer,...)
+--E 2
+
+--S 3 of 18
+t2:=1/(sqrt(x^2-1)*(3*x^2-4)^2)
+--R 
+--R
+--R                     1
+--R   (3)  --------------------------
+--R                          +------+
+--R           4      2       | 2
+--R        (9x  - 24x  + 16)\|x  - 1
+--R                                                     Type: Expression Integer
+--E 3
+
+--S 4 of 18
+integrate(t2,x)
+--R 
+--R
+--R   (4)
+--R                     +------+                            +------+
+--R            3        | 2           4      2              | 2         2
+--R       ((30x  - 40x)\|x  - 1  - 30x  + 55x  - 20)log(- x\|x  - 1  + x  - 2)
+--R     + 
+--R                       +------+                             +------+
+--R              3        | 2           4      2               | 2          2
+--R       ((- 30x  + 40x)\|x  - 1  + 30x  - 55x  + 20)log(- 3x\|x  - 1  + 3x  - 2)
+--R     + 
+--R           +------+
+--R           | 2           2
+--R       20x\|x  - 1  - 20x  + 16
+--R  /
+--R                    +------+
+--R          3         | 2            4       2
+--R     (192x  - 256x)\|x  - 1  - 192x  + 352x  - 128
+--R                                          Type: Union(Expression Integer,...)
+--E 4
+
+--S 5 of 18
+t3:=1/(2*sqrt(x)+sqrt(x+1))^2
+--R 
+--R
+--R                   1
+--R   (5)  ----------------------
+--R          +-+ +-----+
+--R        4\|x \|x + 1  + 5x + 1
+--R                                                     Type: Expression Integer
+--E 5
+
+--S 6 of 18
+--integrate(t3,x)
+--E 6
+
+--S 7 of 18
+t4:=sqrt(x^2-1)/(x-%i)^2
+--R 
+--R
+--R            +------+
+--R            | 2
+--R           \|x  - 1
+--R   (6)  --------------
+--R         2
+--R        x  - 2%i x - 1
+--R                                             Type: Expression Complex Integer
+--E 7
+
+--S 8 of 18
+integrate(t4,x)
+--R 
+--R
+--R   (7)
+--R                     +------+                    +------+
+--R                     | 2          2              | 2
+--R       ((- 2x + 2%i)\|x  - 1  + 2x  - 2%i x)log(\|x  - 1  - x)
+--R     + 
+--R                       +------+
+--R                   +-+ | 2            2         +-+
+--R         ((x - %i)\|2 \|x  - 1  + (- x  + %i x)\|2 )
+--R      *
+--R                                 +------+
+--R                   +-+           | 2                   +-+    2
+--R             (- %i\|2  - x + %i)\|x  - 1  + (%i x + 1)\|2  + x  - %i x - 2
+--R         log(-------------------------------------------------------------)
+--R                                      +------+
+--R                                      | 2         2
+--R                             (x - %i)\|x  - 1  - x  + %i x
+--R     + 
+--R           +------+
+--R           | 2
+--R       2%i\|x  - 1  - 2%i x + 2
+--R  /
+--R                +------+
+--R                | 2          2
+--R     (2x - 2%i)\|x  - 1  - 2x  + 2%i x
+--R                                  Type: Union(Expression Complex Integer,...)
+--E 8
+
+--S 9 of 18
+t5:=1/(sqrt(x^2-1)*(x^2+1)^2)
+--R 
+--R
+--R                   1
+--R   (8)  -----------------------
+--R                       +------+
+--R          4     2      | 2
+--R        (x  + 2x  + 1)\|x  - 1
+--R                                                     Type: Expression Integer
+--E 9
+
+--S 10 of 18
+integrate(t5,x)
+--R 
+--R
+--R   (9)
+--R                     +------+
+--R             3       | 2          4     2
+--R         ((6x  + 6x)\|x  - 1  - 6x  - 3x  + 3)
+--R      *
+--R                                   +------+
+--R                 3       +-+       | 2             4    2      +-+     2
+--R             ((2x  + 2x)\|2  + 4x)\|x  - 1  + (- 2x  - x  - 3)\|2  - 4x  - 4
+--R         log(---------------------------------------------------------------)
+--R                                       +------+
+--R                               3       | 2          4    2
+--R                            (2x  + 2x)\|x  - 1  - 2x  - x  + 1
+--R     + 
+--R                +------+
+--R            +-+ | 2           2      +-+
+--R       - 6x\|2 \|x  - 1  + (6x  - 2)\|2
+--R  /
+--R                      +------+
+--R         3        +-+ | 2              4     2      +-+
+--R     (16x  + 16x)\|2 \|x  - 1  + (- 16x  - 8x  + 8)\|2
+--R                                          Type: Union(Expression Integer,...)
+--E 10
+
+--S 11 of 18
+t6:=1/(sqrt(x-1)*(sqrt(x-1)+2*sqrt(x))^2)
+--R 
+--R
+--R                        1
+--R   (10)  -------------------------------
+--R                  +-+            +-----+
+--R         (4x - 4)\|x  + (5x - 1)\|x - 1
+--R                                                     Type: Expression Integer
+--E 11
+
+--S 12 of 18
+--integrate(t6,x)
+--E 12
+
+--S 13 of 18
+t7:=1/(sqrt(x^2-1)*(sqrt(x^2-1)+sqrt(x))^2)
+--R 
+--R
+--R                           1
+--R   (11)  -------------------------------------
+--R                      +------+
+--R           2          | 2           2      +-+
+--R         (x  + x - 1)\|x  - 1  + (2x  - 2)\|x
+--R                                                     Type: Expression Integer
+--E 13
+
+--S 14 of 18
+--integrate(t7,x)
+--E 14
+
+--S 15 of 18
+t8:=sqrt(sqrt(x^4+1)+x^2)/((x+1)^2*sqrt(x^4+1))
+--R 
+--R
+--R             +--------------+
+--R             | +------+
+--R             | | 4         2
+--R            \|\|x  + 1  + x
+--R   (12)  ----------------------
+--R                       +------+
+--R           2           | 4
+--R         (x  + 2x + 1)\|x  + 1
+--R                                                     Type: Expression Integer
+--E 15
+
+--S 16 of 18
+--integrate(t8,x)
+--E 16
+
+--S 17 of 18
+t9:=((x-1)^(3/2)+(x+1)^(3/2))/((x+1)^(3/2)*(x-1)^(3/2))
+--R 
+--R
+--R                 +-----+           +-----+
+--R         (x + 1)\|x + 1  + (x - 1)\|x - 1
+--R   (13)  ---------------------------------
+--R                2      +-----+ +-----+
+--R              (x  - 1)\|x - 1 \|x + 1
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 18
+integrate(t9,x)
+--R 
+--R
+--R                    +-----+              +-----+
+--R         (- 2x + 2)\|x + 1  + (- 2x - 2)\|x - 1
+--R   (14)  ---------------------------------------
+--R                           2
+--R                          x  - 1
+--R                                          Type: Union(Expression Integer,...)
+--E 18
+
+)spool
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} \verb|http://groups.google.com/group/sci.math.symbolic|
+\end{thebibliography}
+\end{document}
+ 
